Subject: Re: [RFC PATCH] powerpc: fix get_arch_dma_ops() for NTB devices

From: Christoph Hellwig <[email-masked]>
Date: Tue, 5 Feb 2019 17:13:00 +0100

On Tue, Feb 05, 2019 at 10:20:32PM +1100, Michael Ellerman wrote:
> get_dma_ops() falls into arch-dependant get_arch_dma_ops(), which
> historically returns NULL on PowerPC. Therefore dma_set_mask() fails.
> This affects Switchtec (and probably other) NTB devices, that they fail
> to initialize.
> The proposed patch should fix the issue.

I'm not a fan of this.  powerpc, just like arm64 for example has
required that we set a specific per-device dma ops, which keeps
the assignments clear.  Where do the NTB devices come from?

Might be worth adding the NTB maintainers to the CC list and maybe
linux-iommu.